Bug 1571140 - Review Request: R-import - An Import Mechanism for R
Summary: Review Request: R-import - An Import Mechanism for R
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 07:35 UTC by Elliott Sales de Andrade
Modified: 2018-05-05 20:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 15:22:30 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-04-24 07:35:45 UTC
Spec URL: https://qulogic.fedorapeople.org//R-import.spec
SRPM URL: https://qulogic.fedorapeople.org//R-import-1.1.0-1.fc27.src.rpm

Description:
This is an alternative mechanism for importing objects from packages. The
syntax allows for importing multiple objects from a package with a single
command in an expressive way. The import package bridges some of the gap
between using library (or require) and direct (single-object) imports.
Furthermore the imported objects are not placed in the current
environment. It is also possible to import objects from stand-alone .R
files. For more information, refer to the package vignette.

Comment 1 Elliott Sales de Andrade 2018-04-24 07:35:49 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=26532143

Comment 2 Robert-André Mauchin 🐧 2018-04-24 14:31:34 UTC
 - Fix the line encodings:

R-import.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/import/NEWS
R-import.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/import/doc/import.R
R-import.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/import/doc/import.Rmd

Package otherwise approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package have the default element marked as %%doc :doc, DESCRIPTION, NEWS


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 30 files have unknown license. Detailed
     output of licensecheck in
     /home/bob/packaging/review/R-import/review-R-import/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.1.0, packaged version is 1.1.0

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-import-1.1.0-1.fc29.noarch.rpm
          R-import-1.1.0-1.fc29.src.rpm
R-import.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/import/NEWS
R-import.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/import/doc/import.R
R-import.noarch: W: wrong-file-end-of-line-encoding /usr/share/R/library/import/doc/import.Rmd
R-import.src: W: invalid-url URL: https://cran.r-project.org/web/packages/import/index.html <urlopen error _ssl.c:842: The handshake operation timed out>
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 3 Gwyn Ciesla 2018-04-24 20:41:48 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-import

Comment 4 Fedora Update System 2018-04-24 21:39:19 UTC
R-import-1.1.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-969e4265e5

Comment 5 Fedora Update System 2018-04-24 21:40:08 UTC
R-import-1.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa4562e22f

Comment 6 Fedora Update System 2018-04-24 21:40:37 UTC
R-import-1.1.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1bd1e13641

Comment 7 Fedora Update System 2018-04-25 19:43:08 UTC
R-import-1.1.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-969e4265e5

Comment 8 Fedora Update System 2018-04-25 20:10:40 UTC
R-import-1.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa4562e22f

Comment 9 Fedora Update System 2018-04-26 04:52:07 UTC
R-import-1.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1bd1e13641

Comment 10 Fedora Update System 2018-05-03 15:22:30 UTC
R-import-1.1.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-04 08:19:28 UTC
R-import-1.1.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-05-05 20:32:46 UTC
R-import-1.1.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.